Summary:	Guikachu is a resource editor for PalmOS systems
Name:		guikachu
Version:	1.4.2
Release:	4mdk
License:	GPL
Group:		Development/Other
URL:		http://cactus.rulez.org/projects/guikachu/

Source0:	http://cactus.rulez.org/projects/guikachu/download/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gnomemm-devel libglade-devel
Buildrequires:	GConf-devel libxslt-proc
BuildRequires:  gnome-vfs-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  gnome-common
BuildRequires:	perl-XML-Parser
Requires:	libxslt-proc

%description
Guikachu is a resource editor for PalmOSTM systems. It allows you to visually
create dialog boxes, menu bars and windows for your Palm application in the
GNOME desktop environment.

It allow to export to PilRC .rcp files.


%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name}

%post
for schemas in %{_sysconfdir}/gconf/schemas/%{name}-*.schemas; do
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool --makefile-install-rule $schemas > /dev/null
done

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING NEWS TODO AUTHORS ChangeLog ABOUT-NLS INSTALL
%{_sysconfdir}/gconf/schemas/%{name}-*.schemas
%{_bindir}/*
%{_datadir}/guikachu
%{_datadir}/application-registry/*
%{_datadir}/gnome/apps/Development/*
%{_datadir}/gnome/help/guikachu
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*

%changelog
* Fri Mar 18 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.4.2-4mdk
- Fix Buildrequires for amd64

* Fri Mar 18 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.4.2-3mdk
- Rebuild

* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 1.4.2-2mdk
- Fix BuildRequires

* Fri Aug 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- Release 1.4.2
- Remove patch0 (merged upstream)

* Tue Aug 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-2mdk
- Update patch0 based on guikacku author comments

* Thu Aug 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1
- Patch0 (CVS): fix build with gcc 3.4 + RCP output

* Sun Feb 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-4mdk
- Add missing dependency

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-3mdk
- buildrequires

* Thu Aug 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-2mdk
- rebuild

* Wed Jun 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.2.3-1mdk
- removed patch to compile with g++3.1.
- 1.2.3.

* Mon Jun 03 2002 Franois Pons <fpons@mandrakesoft.com> 1.2.2-1mdk
- created patch to compile with g++3.1.
- 1.2.2.

* Mon Jan 14 2002 Franois Pons <fpons@mandrakesoft.com> 1.0.1-1mdk
- initial release.
